// 信号生成模块
// Author: 周涛
// Date: 2023-7-18

#ifndef SIGNALGEN_H
#define SIGNALGEN_H

#include "sysdef.h"

// 供外部使用接口
void signal_gen_init();
uint8 signal_gen_gen_ab_signal(uint8 byCarrierID);
uint8 signal_gen_signal_send_list(uint8 byTimeslot);
void signal_gen_query_signal_send_list(int32 **pdwSignalSendList);
void signal_gen_query_signal_head_address(int32 **pdwSignalAddress);

// 内部使用接口
uint8 signal_gen_gen_signal(uint8 byCarrierID);
void signal_gen_complex_multiply_real(float *real1, float *imag1, float real2, float imag2);

#endif
